Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hu.diplomamunka.model
Class Account

    java.lang.Object
      hu.diplomamunka.model.Account

All Implemented Interfaces:
  java.io.Serializable

    public class Account

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Account()`

Method Summary
`void` | `cloneAccount(Account a)`
`java.sql.Date` | `getCdate()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getNumber()`
`User` | `getOwner()`
`void` | `setCdate(java.sql.Date cdate)`
`void` | `setId(java.lang.Integer id)`
`void` | `setNumber(java.lang.String number)`
`void` | `setOwner(User owner)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Account

    public Account()

Method Detail

### getId

    public java.lang.Integer getId()

  Returns:
    The id of the account

### setId

    public void setId(java.lang.Integer id)

  Parameters:
    `id` -

### getNumber

    public java.lang.String getNumber()

  Returns:
    The number of the account

### setNumber

    public void setNumber(java.lang.String number)

  Parameters:
    `number` -

### getCdate

    public java.sql.Date getCdate()

  Returns:
    the creation date of the account

### setCdate

    public void setCdate(java.sql.Date cdate)

  Parameters:
    `cdate` -

### getOwner

    public User getOwner()

  Returns:
    the User binded to the account

### setOwner

    public void setOwner(User owner)

  Parameters:
    `owner` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### cloneAccount

    public void cloneAccount(Account a)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD